[API]
Public WNDCLASSEX
UnregisterClassA
UnregisterClassW
RegisterClassExA
RegisterClassExW

[INCLUDE]
LocalAllocFromString

[CODE]
Public Sub RegisterClassEx(pcWndClassEx As WNDCLASSEX)
  pcWndClassEx.Reserved_lpszClassName = LocalAllocFromString(pcWndClassEx.ClassName)
  If Not pcWndClassEx.Reserved_lpszClassName = 0& Then
    If IsUnicode Then
      Call RegisterClassExW(pcWndClassEx)
      Else
      Call RegisterClassExA(pcWndClassEx)
      End If
    LocalFree pcWndClassEx.Reserved_lpszClassName
    End If
  End Sub

Public Sub UnregisterClass(ByVal lpClassName As String)
  If IsUnicode Then
    Call UnregisterClassW(StrPtr(lpClassName), App.hInstance)
    Else
    Call UnregisterClassA(lpClassName, App.hInstance)
    End If
  End Sub

